<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDesignTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('swp_design', function (Blueprint $table) {
            $table->string('id', 32)->primary();
            $table->string('name_design');
            $table->string('title_design')->nullable();
            $table->text('value_design')->nullable();
            $table->integer('urutan')->nullable();
            $table->string('userid_created', 32)->nullable();
            $table->string('userid_updated', 32)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('swp_design');
    }
}
